Answer Work Question
POST /work/questions/{question_id}/answers
POST
/work/questions/{question_id}/answers
Answer an ask, or vote (or change a vote) on an open poll, as the key’s person. PERSONAL KEY ONLY.
The answer is the question’s new state. When it resolves the question, the agent that asked resumes, which can spend credits (an estimate is on the operation). A question in a shared channel cannot be answered here (409).
Authorizations
Parameters
Path Parameters
question_id
required
Question id
string
Question id
Header Parameters
Idempotency-Key
Request Body required
Responses
200
Successful Response
object
data
required
A Work direct message, chat, approval decision, work item, question, rule set or suggestion list, as the app returns it.
object
key
additional properties
any
pagination
Any of:
object
has_next
required
Whether there are more pages
boolean
limit
required
Items per page
integer
notes
Any of:
Array<string>
null
page
required
Current page number (1-indexed)
integer
total
required
Total number of items
integer
null
422
Validation Error
object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string